|  | Home |

# QMailFolderId Class Reference

The QMailFolderId class is used to identify folders stored by QMailStore. More...

        #include <QMailFolderId>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

| QMailFolderId ()
| QMailFolderId ( QMailFolderFwd::PredefinedFolderId id )
| QMailFolderId ( quint64 value )
bool | isValid () const
| operator QVariant () const
bool | operator!= ( const QMailFolderId & other ) const
bool | operator< ( const QMailFolderId & other ) const
bool | operator== ( const QMailFolderId & other ) const

## Related Non-Members

typedef | QMailFolderIdList

## Detailed Description

The QMailFolderId class is used to identify folders stored by QMailStore.

QMailFolderId is a class used to represent folders stored by the QMailStore, identified by their unique numeric internal indentifer.

A QMailFolderId instance can be tested for validity, and compared to other instances for equality. The numeric value of the identifier is not intrinsically meaningful and cannot be modified.

See also QMailFolder and QMailStore::folder().

## Member Function Documentation

### QMailFolderId::QMailFolderId ()

Construct an uninitialized QMailFolderId, for which isValid() returns false.

### QMailFolderId::QMailFolderId ( QMailFolderFwd::PredefinedFolderId id )

Construct a QMailFolderId corresponding to the predefined folder identifier id.

### QMailFolderId::QMailFolderId ( quint64 value )

Construct a QMailFolderId with the supplied numeric identifier value.

### bool QMailFolderId::isValid () const

Returns true if this object has been initialized with an identifier.

### QMailFolderId::operator QVariant () const

Returns a QVariant containing the value of this folder identfier.

### bool QMailFolderId::operator!= ( const QMailFolderId & other ) const

Returns true if this object's identifier value differs from that of other.

### bool QMailFolderId::operator< ( const QMailFolderId & other ) const

Returns true if this object's identifier value is less than that of other.

### bool QMailFolderId::operator== ( const QMailFolderId & other ) const

Returns true if this object's identifier value is equal to that of other.

## Related Non-Members

### typedef QMailFolderIdList